libmpdclient: mpd/mixer.h File Reference

libmpdclient 2.13

Functions
mixer.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
bool | mpd_send_set_volume (struct mpd_connection *connection, unsigned volume)
bool | mpd_run_set_volume (struct mpd_connection *connection, unsigned volume)
bool | mpd_send_change_volume (struct mpd_connection *connection, int relative_volume)
bool | mpd_run_change_volume (struct mpd_connection *connection, int relative_volume)

## Detailed Description

MPD client library.

Functions for manipulating MPD's mixer controls.

Do not include this header directly. Use mpd/client.h instead.

Definition in file mixer.h.

## Function Documentation

## ◆ mpd_send_set_volume()

bool mpd_send_set_volume | ( | struct mpd_connection * | connection,
|  | unsigned | volume
| ) |  |

Sets the volume of all output devices.

Parameters

  connection | the connection to MPD
  volume | the volume, an integer between 0 and 100

Returns
  true on success, false on error

## ◆ mpd_run_set_volume()

bool mpd_run_set_volume | ( | struct mpd_connection * | connection,
|  | unsigned | volume
| ) |  |

Shortcut for mpd_send_set_volume() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  volume | the volume, an integer between 0 and 100

Returns
  true on success, false on error

## ◆ mpd_send_change_volume()

bool mpd_send_change_volume | ( | struct mpd_connection * | connection,
|  | int | relative_volume
| ) |  |

Changes the volume of all output devices.

Parameters

  connection | the connection to MPD
  relative_volume | the relative volume, an integer between -100 and 100

Returns
  true on success, false on error

Since
  libmpdclient 2.9

## ◆ mpd_run_change_volume()

bool mpd_run_change_volume | ( | struct mpd_connection * | connection,
|  | int | relative_volume
| ) |  |

Shortcut for mpd_send_change_volume() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  relative_volume | the relative volume, an integer between -100 and 100

Returns
  true on success, false on error

Since
  libmpdclient 2.9